commit:     01b79c877596070c0626e09870a2a286cd59d04f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 14 05:51:13 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug 14 08:03:23 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=01b79c87

dev-python/boto3: Bump to 1.18.21

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/boto3/Manifest             |  1 +
 dev-python/boto3/boto3-1.18.21.ebuild | 57 +++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 762a8040e99..5c6258a59ef 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -3,4 +3,5 @@ DIST boto3-1.18.15.tar.gz 400374 BLAKE2B 
2170319480578b9ac7b6c0da9e9a2f256ce907b
 DIST boto3-1.18.18.tar.gz 401335 BLAKE2B 
c5bdccfe065444d726a7115042de4bb4294905da589fe31e7576f99ad53e4c4eea5940909ee39adf2f2dc4457dc049ef5905d2b2523300009cf00fc772506b0f
 SHA512 
201c97c8c7d5fb7d4dffe050d7dba38a5b9188729be8ca3094f266e42ef3568dec198df24525bf26ea19560657100d63a32fd914917ec55ade6da42f1973bf5d
 DIST boto3-1.18.19.tar.gz 401907 BLAKE2B 
6b333fad48a06c6c047bf415bf30620f81846a1c7862af47767588c6f5cf34f8f3342131ca511ffadb6d16a899c9fa499273a17e8db226c7314b69645a90ef2c
 SHA512 
055d0d2d6f0ae51d311df8a9af742c82ae4224a1f5adaa873bf8e688ffa98310553630c147622fbdda304ef8a271c188c187d9e7851ea009cbf0c1bc2d5947d0
 DIST boto3-1.18.20.tar.gz 402208 BLAKE2B 
6bf4ccdb388590bbc182c76204b3a82f91cd31332cd8c386872ed8be504931592cef01ae24786d8f8e7d2128f427570eba39a365c0f23dacaac4ddfd2eb9df13
 SHA512 
b91f1f38fa4832b8f9a3da6aef180f910cd676ef82b029735b984158115ad69fe4d87a86d8a915aebeda56d8cd0c3158a6a93ca37876bfeaafadb2f0364a3032
+DIST boto3-1.18.21.tar.gz 402611 BLAKE2B 
39974c66ed5ad0697be6df04dbb141ce28e9a09863349f7adfcf756666d58ed02232453a9d86d46e62380c0b7f197a52b6869469309dff0c532e50a6bfc88403
 SHA512 
9920891b7be9d98c3a3d2f3065183532624e78fd2ff7a94d26594d2499cd5d17db0ac4ba6adf27f0e0f67fa836020dfac648babc144e4339a3dd717a1bd56ef7
 DIST boto3-1.18.7.tar.gz 395640 BLAKE2B 
6a9fa1dd55644806fe93271805f35fbe0c4cb65d1de08dded2d2f57fcefa96e32c4ebe7b60743c52c0898222bc06d33dbd03d304bbef327b88022450a7943e2c
 SHA512 
20e7fedab7d061ab02f391e9baf36cb554e7f194f38d24d5a75f76715b2acf1b51b6adce5d8cf5a2a0d29df73566db00b8813a219d45a194d9a8eb93d0dab570

diff --git a/dev-python/boto3/boto3-1.18.21.ebuild 
b/dev-python/boto3/boto3-1.18.21.ebuild
new file mode 100644
index 00000000000..819e7369111
--- /dev/null
+++ b/dev-python/boto3/boto3-1.18.21.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="https://github.com/boto/boto3";
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+       EGIT_REPO_URI="https://github.com/boto/boto3";
+       inherit git-r3
+       BOTOCORE_PV=${PV}
+else
+       SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux 
~x86-linux"
+
+       # botocore is x.(y+3).z
+       BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+       >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+       >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+       >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_sphinx docs/source \
+       'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests nose
+
+python_prepare_all() {
+       # don't lock versions to narrow ranges
+       sed -e '/botocore/ d' \
+               -e '/jmespath/ d' \
+               -e '/s3transfer/ d' \
+               -i setup.py || die
+
+       # prevent an infinite loop
+       rm tests/functional/docs/test_smoke.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       nosetests -v tests/unit/ tests/functional/ ||
+               die "test failed under ${EPYTHON}"
+}

Reply via email to